Ash Ketchum Ash Ketchum - 4 days ago 7
Python Question

Installing comtypes 1.1.3-2 but getting 1.1.3 instead

I'm trying to install

comtypes
using pip. I specified
1.1.3.post2
as the version number, but pip keeps installing version
1.1.3
instead.

This is the message I get when trying to install it:

Requested comtypes==1.1.3.post2 from https://pypi.python.org/packages/85/11/722b9ce6725bf8160bd8aca68b1e61bd9db422ab12dae28daa7defab2cdc/comtypes-1.1.3-2.zip#md5=4161cb8bc283a75af85e220ad662d5af,
but installing version None


I'm baffled. I already tried deleting pip cache directory.

Answer

Apparently the content of comtypes-1.1.3-2.zip is comtypes-1.1.3. So the new version is already installed, but pip mistakenly report the new version as the old ones because of the same name of both version's directory.

Comments